excalibur-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Carsten Ziegeler (JIRA)" <...@excalibur.apache.org>
Subject [jira] Commented: (FORTRESS-20) Avalon Framework does not work with newer LOG4J versions
Date Tue, 11 Oct 2005 08:06:06 GMT
    [ http://issues.apache.org/jira/browse/FORTRESS-20?page=comments#action_12331780 ] 

Carsten Ziegeler commented on FORTRESS-20:
------------------------------------------

Can you give some specific pointers about which code fails?
I just tried to compile LogKit and Excalibur Logger with 1.2.12 and this compiles fine.

> Avalon Framework does not work with newer LOG4J versions
> --------------------------------------------------------
>
>          Key: FORTRESS-20
>          URL: http://issues.apache.org/jira/browse/FORTRESS-20
>      Project: Excalibur Fortress
>         Type: Bug
>   Components: Implementation
>     Reporter: Siegfried Goeschl

>
> In Log4J 1.2.12 and  1.3alpha-6 the methods isFatalEnabled, isErrorEnabled and isWarnEnabled
are removed and result in a runtime error.  This affects all versions of the Avalon framework.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@excalibur.apache.org
For additional commands, e-mail: dev-help@excalibur.apache.org


Mime
View raw message